Vehicle Model
Unique identifier assigned to each vehicle model in the insurer/master database
Path Parameters
Specifies the lookup category. This API accepts only 'vehicle' as the value.
Type of vehicle (e.g., TW, Car)
Make Code of Vehicle
Model code of Vehicle
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
Unique request identifier.
List of errors if any.
data object
fuelType object[]
List of available fuel types.
Possible values: [Diesel, Petrol]
Type of fuel.
{
"reqId": "string",
"errors": [
"string"
],
"data": {
"fuelType": [
{
"fuelType": "Diesel"
},
{
"fuelType": "Petrol"
}
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}